> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List agent voices

> Lists the voices the selected account can configure. Use id as agentVoice, and check languages, compatibleS2SEngines, supportsStandardTts, and accountAvailability before saving.



## OpenAPI

````yaml get /api/v2/agent/voices
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
tags:
  - name: Agents
  - name: Inbound Email
    description: Control which senders may create inbound email work for an Agent.
  - name: Features
    description: Inspect capabilities available within an account hierarchy.
  - name: Conversation Logs
    description: Query conversation activity and calculate account-level metrics.
  - name: Computer Agents
    description: Set up, configure, inspect, and manage Vida Computer Agents.
  - name: Computer Agent Sessions
    description: View and reset Computer Agent sessions.
  - name: Accounts
  - name: Agent Templates
    description: Create, manage, and apply reusable Agent configurations.
paths:
  /api/v2/agent/voices:
    get:
      tags:
        - Agents
      summary: List agent voices
      description: >-
        Lists the voices the selected account can configure. Use id as
        agentVoice, and check languages, compatibleS2SEngines,
        supportsStandardTts, and accountAvailability before saving.
      parameters:
        - name: targetAccountId
          in: query
          description: Account whose voice availability should be evaluated.
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Voice catalog
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  voices:
                    type: array
                    items:
                      $ref: '#/components/schemas/AgentVoice'
      security:
        - apiKeyAuth: []
components:
  schemas:
    AgentVoice:
      type: object
      properties:
        id:
          type: string
          description: Exact identifier to store in agentVoice.
        name:
          type: string
          description: Display name.
        description:
          type: string
          nullable: true
        sampleUrl:
          type: string
          format: uri
          nullable: true
        imageUrl:
          type: string
          format: uri
          nullable: true
        provider:
          type: string
        languages:
          type: array
          items:
            type: string
          description: Vida language modes supported by this voice.
        compatibleS2SEngines:
          type: array
          items:
            type: string
            enum:
              - openai
              - gemini
        supportsStandardTts:
          type: boolean
        accountAvailability:
          type: object
          properties:
            available:
              type: boolean
            reason:
              type: string
              nullable: true
              enum:
                - advanced_voice_required
                - null
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````